// highlight games
@mixin _higlight($class: 'live') {
  $live-icon-size: 10px;

  &.#{$class} {
    background: rgba($color_white, .8);

    &:before {
      position: absolute;
      right: -5px;
      top: calc(50% - #{$live-icon-size/2});

      @include _respond-to(tablets, desktops) {
        right: inherit;
        left: -5px;
      }

      display: block;
      content: '';
      width: $live-icon-size;
      height: $live-icon-size;
      border-radius: 50%;
      background: map_get($colorHighlight, $class);

      animation: _pulse-#{$class} 2s infinite;
    }

    @content;

    @include _keyframes('_pulse-#{$class}') {
      0% {
        box-shadow: 0 0 0 0 map_get($colorHighlight, $class);
      }

      70% {
        box-shadow: 0 0 0 10px transparent
      }

      100% {
        box-shadow: 0 0 0 0 transparent
      }
    }
  }
}